import javafx.scene.shape.Polygon;

public class Case {

	private int rang; //N de la case (bottom right = 0, top left = 59)
	private int nbFish;//Nb de poissons sur la case (0 si vide)
	private Penguins penguins;
	private Polygon caseFX;


	public void setNbFish(int nbFish)
	{
		this.nbFish = nbFish;
	}

	public void setPenguins(Penguins penguins)
	{
		this.penguins = penguins;
	}

	public int getRang()
	{

		return rang;
	}

	public int getNbFish()
	{
		return nbFish;
	}

	public Penguins getPenguins()
	{
		return penguins;
	}

	public Polygon getCaseFX()
	{
		return caseFX;
	}

	public Case(int rang, Penguins penguins, Polygon caseFX)
	{
		this.rang = rang;
		this.penguins = penguins;
		this.caseFX = caseFX;
		this.nbFish = 0;

	}

	public Case(int rang, int nbFish, Penguins penguins, Polygon caseFX) {
		this(rang, penguins, caseFX);
		this.nbFish = nbFish;
	}

	public enum Penguins
	{
		NO_PENGUIN, RED_PENGUIN, BLUE_PENGUIN;
	}

}
